Subject: Re: git-svn segmetation fault

From: Wink Saville <[email-masked]>
Date: Sat, 02 Feb 2008 10:56:40 -0800

Steven Walter wrote:
> On Fri, Feb 01, 2008 at 07:55:20PM -0800, Wink Saville wrote:
>   
>>> Can you show the contents of .git/config ?
>>>   
>>>       
> [...]
>   
>> [svn-remote "svn"]
>>        url = https://async-msgcomp.googlecode.com/svn/trunk
>>        fetch = :refs/remotes/git-svn
>>     
>
> There's your problem.  The url line should only contain the SVN root.
> If you change it thusly:
>
>     [svn-remote "svn"]
>         url = https://async-msgcomp.googlecode.com/svn
>         fetch = trunk:refs/remotes/git-svn
>
> It will no longer segfault.  I had the same issue with a repository of
>   
> my own.
>   
<I did that but a rebase command resulted in: />

wink@ic2d1:$ git svn rebase
Unable to determine upstream SVN information from working tree history

<I've bee using git-svn for a few days without trouble. Do I need
the do another "git svn clone" using the base url rather than
pointing to the trunk? />